# ContactsContract.CommonDataKinds.Identity

Added in[API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# Identity

*** ** * ** ***

Kotlin\|[Java](https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.Identity "View this page in Java")  

```
class Identity : ContactsContract.DataColumnsWithJoins
```

|---|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)                                                                                           ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.Identity](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#) |

A data kind representing an Identity related to the contact.

This can be used as a signal by the aggregator to combine raw contacts into contacts, e.g. if two contacts have Identity rows with the same NAMESPACE and IDENTITY values the aggregator can know that they refer to the same person.

## Summary

|                                                                                                                                                                                         Constants                                                                                                                                                                                          ||
|----------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [CONTENT_ITEM_TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#CONTENT_ITEM_TYPE:kotlin.String) MIME type used when storing this in data table.                                                                                     |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String) Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras.          |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_COUNTS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String) The array of group counts for the corresponding group.                                                  |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_TITLES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String) The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [IDENTITY](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#IDENTITY:kotlin.String) The identity string.                                                                                                                                  |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [NAMESPACE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Identity#NAMESPACE:kotlin.String) The namespace of the identity string, e.                                                                                                            |

## Constants

### CONTENT_ITEM_TYPE

Added in[API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val CONTENT_ITEM_TYPE: String
```

MIME type used when storing this in data table.  

    Value: "vnd.android.cursor.item/identity"

### EXTRA_ADDRESS_BOOK_INDEX

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

<br />

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### IDENTITY

Added in[API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val IDENTITY: String
```

The identity string.

Type: TEXT  

    Value: "data1"

### NAMESPACE

Added in[API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val NAMESPACE: String
```

The namespace of the identity string, e.g. "com.google"

Type: TEXT  

    Value: "data2"